# Analyse isolated galaxy simulations and reproduce the plots from Ploeckinger et al. (2023, subm.)

The python routines to reproduce each figure from Ploeckinger et al. (2023, subm) can be found here. For the figures showing results from the isolated galaxy simulations, the simulations have to be run first by following the instructions [here](https://gitlab.phaidra.org/softenedjeanscriteria/setup-galaxy-simulations). 

### Fig. 1: Comparison between Newtonian and softened Jeans mass
Reproduce Fig. 1 with:

```
python3 Fig1_Jeans_mass_comparison.py
```
**Required python packages:**
- matplotlib
- numpy

**Comment:**
Easily adapt this figure to different constant Plummer-equivalent softening lengths by changing the line `eps = 100. # in pc`.

### Fig. 2: Illustration of the inaccuracy of the SPH-estimated density depending on a minimum smoothing length
Reproduce Fig. 2 with:

```
python3 Fig2_SPH_density_sketch.py
```
**Required python packages:**
- matplotlib
- numpy
- unyt

**Comment:**
Re-running the figures can lead to slightly different results because the particle positions are random. The minimum smoothing length can be varied by changing the line `hmin_in_pc = 1.55 * 10. # minimum smoothing length in pc`.

### Fig. 3: Runaway collapse zone
Reproduce Fig. 3 with:

```
python3 Fig3_runaway_collapse_zone.py
```
**Required python packages:**
- matplotlib
- numpy
- unyt

**Comment:**
The plotted resolution parameters can be updated by changing the lines that set `epsarr`, `mBarr`, and `h_min_ratio_arr` (see comments in the python script).  

### Fig. 4: Runaway collapse zones examples from the literature

TBC..


# Authors and acknowledgment
S. Ploeckinger, University of Vienna
